[Distutils] Distribute 0.6.17

Tarek Ziadé ziade.tarek at gmail.com
Wed Jun 1 10:27:16 CEST 2011

Aurélien has fixed the issue:

Could someone double-check by running the tip, that everything is now
working fine ?

I'll release 0.6.18 right after


On Tue, May 31, 2011 at 9:40 PM, Jeff Shell <eucci.group at gmail.com> wrote:
> I've seen the same issue in Mac OS X with namespace packages that are
> more than one level deep. 'zope.server' works fine, 'zope.app.server'
> (or any other 'zope.app.*') blows up. Works fine with distribute
> 0.6.16, blows up with 0.6.17.
> On Tue, May 31, 2011 at 4:04 AM, Tarek Ziadé <ziade.tarek at gmail.com> wrote:
>> On Tue, May 31, 2011 at 11:50 AM, Maurits van Rees
>> <m.van.rees at zestsoftware.nl> wrote:
>> ...
>>> ImportError: cannot import name utils
>>> When I go in with a pdb in this utils.py everything seems fine but then the
>>> import error just happens a bit further on, failing to import
>>> plone.app.layout.  On Plone 4 an import of Shared.DC.ZRDB.Search fails.
>>>  Again, with distribute 0.6.16 it works fine.
>>> This is on Mac OS X.  Possibly I have strange ways of installing python, but
>>> it has worked fine so far.  Can anyone else reproduce this?
>> Could you dump and compare sys.path in both cases ? thanks
> --
> Jeff Shell

Tarek Ziadé | http://ziade.org

More information about the Distutils-SIG mailing list